Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1489382 - Ajax requests taking too much time to resume
Summary: Ajax requests taking too much time to resume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 10:25 UTC by Djebran Lezzoum
Modified: 2019-04-01 20:27 UTC (History)
10 users (show)

Fixed In Version: foreman-1.15.6.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:05:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21112 0 None None None 2017-09-26 15:24:02 UTC

Comment 4 Ivan Necas 2017-09-11 11:14:37 UTC
Currently, it's not clear that the issues is on the templates or it's connected
to the fact that the sat instance is also running other tests.

Could you provide the output of this commands run on the sat server when the timeouts occur:

passenger-status --show=pool
passenger-status --show=requests

Comment 7 Roman Plevka 2017-09-26 08:43:00 UTC
after discussing and looking into the issue together with Ivan, we found out the following:

for provisioning templates:

- submitting the new Provisioning template dialog issues a POST request to /provisioning_templates as expected, however it also issues 2 mysterious GET requests to:
https://<fqdn>/hosts/preview_host_collection?scope=ProvisioningTemplate

- these seem to also finish successfully (200), however, the jQuery.active count gets decremented just by 1 (instead of 2).
- from this point, Every other request to /provisioning_templates/new page issues +1 request to /preview_host_collection (in 2nd occurrence there are now 3 such requests).

Comment 8 Ivan Necas 2017-09-26 09:02:42 UTC
The change that seemed to introduce this issue is here https://github.com/theforeman/foreman/pull/4213. Since it's not a performance issue, but rather a UI thing, I'm changing the component to provisioning templates.

Comment 9 Ivan Necas 2017-09-26 15:23:59 UTC
Created redmine issue http://projects.theforeman.org/issues/21112 from this bug

Comment 10 pm-sat@redhat.com 2017-09-26 16:04:50 UTC
Upstream bug assigned to inecas@redhat.com

Comment 11 pm-sat@redhat.com 2017-09-26 16:04:54 UTC
Upstream bug assigned to inecas@redhat.com

Comment 12 pm-sat@redhat.com 2017-10-30 08:06:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21112 has been resolved.

Comment 13 Roman Plevka 2017-11-27 13:22:57 UTC
VERIFIED
since sat6.3.0-25

the affected test in the automation are now unblocked and pass.

tests.foreman.ui.test_partitiontable::PartitionTableTestCase
tests.foreman.ui.test_template::TemplateTestCase

Comment 17 Bryan Kearney 2018-02-21 17:05:28 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.